/**
 * UPLOAD_H 
 *
 * Aliyun VoD's Upload Video head file, which wraps parameters to upload a video into VoD.
 * Users could pass parameters to this function, including File Path,Title,etc.
 * For more details, please check out the VoD API document: https://help.aliyun.com/document_detail/55407.html
 */

#ifndef UPLOAD_H
#define UPLOAD_H 

#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <stdio.h>
#include <sys/stat.h>

#include "oss_c_sdk/oss_api.h"
#include "oss_c_sdk/aos_http_io.h"
#include "openApiUtil.h"
#include "signatureUtil.h"

struct uploadInfo {
	std::string endpoint;
	std::string bucket;
	std::string filename;
	std::string accesskeyid;
	std::string accesskeysecret;
	std::string securitytoken;
};

int sample_upload(uploadInfo uploadinfo, std::string filepath);
int multipart_upload(uploadInfo uploadinfo, std::string localfilepath);
VodApiResponse uploadVodMedia(VodCredential authInfo, std::map<std::string, std::string> args, std::string localPath);

#endif
